Can't Update -- GW2 patcher issues

User login

Forums:

I've been trying for an hour and a half now to download the latest update to the Feb. 9th patch. An hour and a half and I've not reached the point where the login screen is even available. This is ridiculous. Of the eight games I currently have installed, only GW2 does this. GW2 wasn't always this bad. It seems to have taken a turn for the worse after HoT.

Anyway, not going to make it to the guild challenges tonight. This makes twice this has happened due to the patcher taking its sweet time doing anything. In the future I guess I'll have to start patching two weeks before they release the next patch!

Connection error(s) detected. Retrying...

Yeah, yeah. /e troutslap dev in charge of patcher

Fireheart's picture

Are you running the 64-bit version of GW2 (if your computer is 64-bit)? Have you tried running the -Repair patcher?

I used to have occasional problems with GW2, before I switched to 64-bit.

Be Well!
Fireheart

Not sure -- assuming 64-bit since I installed it back when I was running windows 8.1 (now running 10). It used to work fine but has degraded persistently over time.

For contrast, Sunday night after I gave up on patching GW2 I fired up TSW. Hadn't played in a couple of weeks, and there was an update -- and in less than 8 minutes the game was ready to go.

Anyway, I finally got the GW2 patcher updated and then got the actual patch downloaded and installed on Monday, after digging around GW2 support, where I found this:

http://help.guildwars2.com/entries/93290408-Problems-Downloading-or-Patc...

I went through all the IP addresses, the very first one worked best. I guess in the future I need to check for updates/patches more often and well in advance of any regularly scheduled playtime.

I feel more like I do now than I did before.

Fireheart's picture

64-bit GW2 is explicitly named GW2-64. I've found it simply works better, especially in Win-10.
https://wiki.guildwars2.com/wiki/64_bit_beta_client

Be Well!
Fireheart

I believe I'm still using the updater that originally came with GW2. Even though I use W7 64bit, why change if I'm not having issues with it?

I've been a freind of Danica for year in CoX & know Pepcat from the same game. I'm a refugie